grid.points {grid} | R Documentation

## Draw Data Symbols

### Description

These functions create and draw data symbols.

### Usage

    grid.points(x = runif(10),
                y = runif(10)),
                pch = 1, size = unit(1, "char"),
                default.units = "native", name = NULL,
                gp=gpar(), draw = TRUE, vp = NULL)
    pointsGrob(x = runif(10),
                y = runif(10)),
                pch = 1, size = unit(1, "char"),
                default.units = "native", name = NULL,
                gp=gpar(), vp = NULL)

### Arguments

`x` | A numeric vector or unit object specifying x-values.
`y` | A numeric vector or unit object specifying y-values.
`pch` | A numeric or character vector indicating what sort of plotting symbol to use.
`size` | A unit object specifying the size of the plotting symbols.
`default.units` | A string indicating the default units to use if `x` or `y` are only given as numeric vectors.
`name` | A character identifier.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport object (or NULL).

### Details

Both functions create a points grob (a graphical object describing points), but only `grid.points` draws the points (and then only if `draw` is `TRUE`).

### Value

A points grob. `grid.points` returns the value invisibly.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

[Package Contents]